Subject: Re: bug#33602: 27.0.50; Compiling no file at

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Dec 2018 22:36:50 +0200

> Date: Sat, 8 Dec 2018 20:07:05 +0000
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > If we want to change the text, it's fine.  But removing the log
> > altogether sounds like too much to me.
> 
> Why?  The log doesn't appear in Emacs-26.  It does appear in recent
> versions of master.  The creation of this buffer is an unintended
> consequence of the amendments I made to the byte compiler's warning
> message mechanism around a week and a half ago.
> 
> In a call of byte-compile, both byte-compile-current-file and
> byte-compile-last-logged-file tend to be nil.
> 
> Whereas the condition at the top of byte-compile-log-file used to be
> 
>     (not (equal byte-compile-current-file byte-compile-last-logged-file))
> 
> , now it additionally checks
> 
>     (get-buffer byte-compile-log-buffer)
> 
> , and "re"creates that buffer if it doesn't exist.
> 
> So previously, *Compile-Log* didn't get created.  Now it does.  I think
> I should revert that part of the change.  What do you say?

No objections here.

> Changing the wording is a separate issue, but I think it should also be
> done.  I would suggest instead of "Compiling no file at <time>" we say
> "Compiling, not from a file, at <time>".

That still sounds strange to me.  How about

  Compiling (no file name) at TIME